diff --git pyflakes.spec pyflakes.spec
index 85b84b9894..d57af349f3 100644
--- pyflakes.spec
+++ pyflakes.spec
@@ -6,7 +6,7 @@
 
 Name:           pyflakes
 Version:        1.6.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A simple program which checks Python source files for errors
 
 License:        MIT
@@ -19,9 +19,6 @@ Patch0:         %{name}-1.1.0-python3-man.patch
 BuildArch:      noarch
 BuildRequires:  python2-devel >= 2.5
 BuildRequires:  python-setuptools
-Requires:       python-setuptools
-Provides:       python2-pyflakes = %{version}-%{release}
-%{?python_provide:%python_provide python2-%{name}}
 
 %global desc Pyflakes is similar to PyChecker in scope, but differs in that it does\
 not execute the modules to check them. This is both safer and faster,\
@@ -29,9 +26,21 @@ although it does not perform as many checks. Unlike PyLint, Pyflakes\
 checks only for logical errors in programs; it does not perform any\
 check on style.
 
-%description
+%global _description\
 %{desc}
 
+%description %_description
+
+%package -n python2-pyflakes
+Summary: %summary
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-pyflakes}
+# Remove before F30
+Provides: pyflakes = %{version}-%{release}
+Obsoletes: pyflakes < %{version}-%{release}
+
+%description -n python2-pyflakes %_description
+
 %package -n python%{python3_pkgversion}-%{name}
 Summary:        %{summary}
 BuildRequires:  python%{python3_pkgversion}-devel
@@ -75,7 +84,7 @@ ln -s pyflakes-%{defaultpython}.1 %{buildroot}%{_mandir}/man1/pyflakes.1
 %{__python2} -Wall setup.py test
 %{__python3} -Wall setup.py test
 
-%files
+%files -n python2-pyflakes
 %license LICENSE
 %doc AUTHORS NEWS.txt README.rst
 %{_bindir}/pyflakes-%{python2_version}
@@ -106,6 +115,10 @@ ln -s pyflakes-%{defaultpython}.1 %{buildroot}%{_mandir}/man1/pyflakes.1
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.0-2
+- Python 2 binary package renamed to python2-pyflakes
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug  3 2017 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-1
 - Update to 1.6.0
 
diff --git PyQt4.spec PyQt4.spec
index 100e9dd223..6126ed6f1b 100644
--- PyQt4.spec
+++ PyQt4.spec
@@ -19,7 +19,7 @@
 Summary: Python bindings for Qt4
 Name: 	 PyQt4
 Version: 4.12.1
-Release: 5%{?dist}
+Release: 6%{?dist}
 
 # GPLv2 exceptions(see GPL_EXCEPTIONS*.txt)
 License: (GPLv3 or GPLv2 with exceptions) and BSD
@@ -61,24 +61,35 @@ BuildRequires: python3-devel
 BuildRequires: python3-sip-devel >= 4.19
 %endif # with_python3
 
-Requires: dbus-python
 %{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
 %{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}
 
+
+%global __provides_exclude_from ^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so|%{_qt4_plugindir}/.*\\.so)$
+
+%global _description\
+These are Python bindings for Qt4.
+
+%description %_description
+
+%package -n python2-pyqt4
+Summary: %summary
+Requires: dbus-python
 %if 0%{?webkit}
 # when -webkit was split out
 Obsoletes: PyQt4 < 4.11.4-8
 %endif
-
 Provides: python-qt4 = %{version}-%{release}
 Provides: python2-qt4 = %{version}-%{release}
-Provides: python2-PyQt4 = %{version}-%{release}
 Provides: pyqt4 = %{version}-%{release}
+%{?python_provide:%python_provide python2-pyqt4}
+# Remove before F30
+Provides: PyQt4 = %{version}-%{release}
+Provides: PyQt4%{?_isa} = %{version}-%{release}
+Obsoletes: PyQt4 < %{version}-%{release}
+%{?python_provide:%python_provide python2-PyQt4}
 
-%global __provides_exclude_from ^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so|%{_qt4_plugindir}/.*\\.so)$
-
-%description
-These are Python bindings for Qt4.
+%description -n python2-pyqt4 %_description
 
 %package devel
 Summary: Files needed to build other bindings based on Qt4
@@ -282,7 +293,7 @@ diff -u ./sip/QtGui/opengl_types.sip.orig \
         ./sip/QtGui/opengl_types.sip ||:
 
 
-%files
+%files -n python2-pyqt4
 %doc NEWS README
 %doc LICENSE
 %{python2_dbus_dir}/qt.so
@@ -385,6 +396,10 @@ diff -u ./sip/QtGui/opengl_types.sip.orig \
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.12.1-6
+- Python 2 binary package renamed to python2-pyqt4
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Oct 27 2017 Merlin Mathesius <mmathesi@redhat.com> - 4.12.1-5
 - Cleanup spec file conditionals
 
diff --git pystache.spec pystache.spec
index b549548f74..a665c90260 100644
--- pystache.spec
+++ pystache.spec
@@ -1,7 +1,7 @@
 %global with_python3 1
 Name:           pystache
 Version:        0.5.4
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Mustache for Python
 
 License:        MIT
@@ -14,23 +14,36 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 # For the test
 BuildRequires:  python-simplejson
-Requires:       python-simplejson
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
-# For the test
 BuildRequires:  python3-simplejson
-Requires:       python3-simplejson
 %endif # if with_python3
 
-%description
-Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
-logic-free views.
+%global _description\
+Inspired by ctemplate and et, Mustache is a framework-agnostic way to render\
+logic-free views.\
+\
+As ctemplates says, "It emphasizes separating logic from presentation: it is\
+impossible to embed application logic in this template language."\
 
-As ctemplates says, "It emphasizes separating logic from presentation: it is
-impossible to embed application logic in this template language."
 
+%description %_description
+
+%package -n python2-pystache
+Summary: %summary
+Requires:       python-simplejson
+%if 0%{?with_python3}
+# For the test
+Requires:       python3-simplejson
+%endif # if with_python3
+%{?python_provide:%python_provide python2-pystache}
+# Remove before F30
+Provides: pystache = %{version}-%{release}
+Obsoletes: pystache < %{version}-%{release}
+
+%description -n python2-pystache %_description
 
 %if 0%{?with_python3}
 %package -n python3-pystache
@@ -85,7 +98,7 @@ popd
 #popd
 #%endif # with_python3 
 
-%files
+%files -n python2-pystache
 %{!?_licensedir:%global license %%doc}
 %license LICENSE
 %doc PKG-INFO HISTORY.md README.md
@@ -106,6 +119,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-4
+- Python 2 binary package renamed to python2-pystache
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-backports-ssl_match_hostname.spec python-backports-ssl_match_hostname.spec
index c46ef57e89..70d1e10eca 100644
--- python-backports-ssl_match_hostname.spec
+++ python-backports-ssl_match_hostname.spec
@@ -2,7 +2,7 @@
 
 Name:           python-backports-ssl_match_hostname
 Version:        3.5.0.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        The ssl.match_hostname() function from Python 3
 
 License:        Python
@@ -11,28 +11,35 @@ Source0:        http://pypi.python.org/packages/source/b/%{module_name}/%{module
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
+
+%global _description\
+The Secure Sockets layer is only actually secure if you check the hostname in\
+the certificate returned by the server to which you are connecting, and verify\
+that it matches to hostname that you are trying to reach.\
+\
+But the matching logic, defined in RFC2818, can be a bit tricky to implement on\
+your own. So the ssl package in the Standard Library of Python 3.2 now includes\
+a match_hostname() function for performing this check instead of requiring\
+every application to implement the check separately.\
+\
+This backport brings match_hostname() to users of earlier versions of Python.\
+The actual code is only slightly modified from Python 3.5.\
+
+
+%description %_description
+
+%package -n python2-backports-ssl_match_hostname
+Summary: %summary
 Requires:       python-backports
 %if 0%{?fedora} || 0%{?rhel} && 0%{?rhel} >= 7
 # python-ipaddress has yet to be built for epel6.  When it is we can Require
 # this everywhere
 Requires: python-ipaddress
 %endif
-
 Provides: python2-backports-ssl_match_hostname
+%{?python_provide:%python_provide python2-backports-ssl_match_hostname}
 
-%description
-The Secure Sockets layer is only actually secure if you check the hostname in
-the certificate returned by the server to which you are connecting, and verify
-that it matches to hostname that you are trying to reach.
-
-But the matching logic, defined in RFC2818, can be a bit tricky to implement on
-your own. So the ssl package in the Standard Library of Python 3.2 now includes
-a match_hostname() function for performing this check instead of requiring
-every application to implement the check separately.
-
-This backport brings match_hostname() to users of earlier versions of Python.
-The actual code is only slightly modified from Python 3.5.
-
+%description -n python2-backports-ssl_match_hostname %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -47,7 +54,7 @@ python2 setup.py build
 python2 setup.py install --skip-build --root %{buildroot}
 rm -f %{buildroot}%{python_sitelib}/backports/__init__.py*
 
-%files
+%files -n python2-backports-ssl_match_hostname
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.txt
 %doc README.txt
@@ -55,6 +62,10 @@ rm -f %{buildroot}%{python_sitelib}/backports/__init__.py*
 %{python_sitelib}/backports.ssl_match_hostname-%{version}-*egg*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0.1-6
+- Python 2 binary package renamed to python2-backports-ssl_match_hostname
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-blessed.spec python-blessed.spec
index 71ae5d1897..38deeec6cd 100644
--- python-blessed.spec
+++ python-blessed.spec
@@ -24,7 +24,7 @@ It provides: \
 - Styles, color, and maybe a little positioning without necessarily clearing \
   the whole screen first. \
 - Works great with standard Python string formatting. \
-- Provides up-to-the-moment terminal height and width, so you can responds \
+- Provides up-to-the-moment terminal height and width, so you can respond \
   to terminal size changes. \
 - Avoids making a mess if the output gets piped to a non-terminal: outputs \
   to any file-like object such as StringIO, files, or pipes. \
@@ -45,7 +45,7 @@ It provides: \
 
 Name:       python-%{pkgname}
 Version:    1.14.1
-Release:    4%{?dist}
+Release:    5%{?dist}
 Summary:    %{summary}
 
 Group:      Development/Libraries
@@ -163,7 +163,7 @@ py.test-%{python3_other_version} --strict --verbose --verbose
 %endif
 %endif
 
-%files
+%files -n %{py2_namespace}-%{pkgname}
 %license LICENSE
 %doc README.rst docs/*.rst
 %{python2_sitelib}/%{srcname}
@@ -186,6 +186,9 @@ py.test-%{python3_other_version} --strict --verbose --verbose
 %endif # with_python3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.14.1-5
+- Fix creation of python2- subpackage
+
 * Wed Oct 04 2017 Avram Lubkin <aviso@rockhopper.net> - 1.14.1-4
 - Conflicting ordereddict requirements in EL6
 
diff --git python-cjson.spec python-cjson.spec
index 92df1d06dc..a129bf5658 100644
--- python-cjson.spec
+++ python-cjson.spec
@@ -17,7 +17,7 @@ is the the range of 10-200 times for encoding operations and in the range of\
 
 Name:           python-%{modname}
 Version:        1.2.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        %{sum}
 
 License:        LGPLv2+
@@ -48,12 +48,15 @@ Summary:        %{sum}
 %check
 PYTHONPATH=$(echo build/lib.linux-*) %{__python2} jsontest.py
 
-%files
+%files -n python2-%{modname}
 %doc ChangeLog
 %license LICENSE
 %{python2_sitearch}/*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-4
+- Fix creation of python2- subpackage
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git python-contexttimer.spec python-contexttimer.spec
index c7f0224d40..b4294896a9 100644
--- python-contexttimer.spec
+++ python-contexttimer.spec
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.3.1
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        %{sum}
 
 License:        GPLv3+
@@ -46,7 +46,7 @@ cp -p %{SOURCE1} .
 %py2_install
 %py3_install
 
-%files -n python-%{pypi_name}
+%files -n python2-%{pypi_name}
 %doc README.rst PKG-INFO
 %license LICENSE
 %{python2_sitelib}/%{pypi_name}/*
@@ -59,6 +59,9 @@ cp -p %{SOURCE1} .
 %{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-7
+- Fix creation of python- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cssmin.spec python-cssmin.spec
index 196908f7e0..184502d710 100644
--- python-cssmin.spec
+++ python-cssmin.spec
@@ -6,7 +6,7 @@
 
 Name:       python-cssmin
 Version:    0.2.0
-Release:    7%{?dist}
+Release:    8%{?dist}
 Summary:    A Python port of the YUI CSS compression algorithm
 
 Group:      Development/Libraries
@@ -16,21 +16,28 @@ Source0:    https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-
 Patch0:     python-cssmin-rename-bin.patch
 
 BuildArch:  noarch
-Requires:   python-setuptools
 BuildRequires:  python2-devel python-setuptools
 %if 0%{?with_python3}
-Requires:   python3-setuptools
 BuildRequires:  python3-devel python3-setuptools
 %endif
 
-%description
-A Python port of the YUI CSS compression algorithm. The library can be used for
+%global _description\
+A Python port of the YUI CSS compression algorithm. The library can be used for\
 merging and compressing CSS files.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:   python2-setuptools
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary: %{summary}
-
+Requires:   python3-setuptools
 
 %description -n python3-%{pypi_name}
 %{description}
@@ -77,7 +84,7 @@ cd src && \
 }""")'; \
 %endif
 
-%files
+%files -n python2-%{pypi_name}
 %doc PKG-INFO
 %{python_sitelib}/cssmin.py*
 %{python_sitelib}/*.egg-info
@@ -93,6 +100,10 @@ cd src && \
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-8
+- Python 2 binary package renamed to python2-cssmin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-datanommer-models.spec python-datanommer-models.spec
index aed21ffdc4..18a0aa3696 100644
--- python-datanommer-models.spec
+++ python-datanommer-models.spec
@@ -2,7 +2,7 @@
 
 Name:           python-datanommer-models
 Version:        0.9.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        SQLAlchemy models for datanommer
 
 Group:          Development/Libraries
@@ -20,22 +20,33 @@ BuildRequires:  python-nose
 BuildRequires:  python-fedmsg-meta-fedora-infrastructure
 
 BuildRequires:  fedmsg
-Requires:       fedmsg
 
 BuildRequires:  python-alembic
-Requires:       python-alembic
 
 %if 0%{?rhel} && 0%{?rhel} <= 6
 BuildRequires:    python-sqlalchemy0.7
-Requires:         python-sqlalchemy0.7
 %else
 BuildRequires:    python-sqlalchemy >= 0.7
-Requires:         python-sqlalchemy >= 0.7
 %endif
 
-%description
+%global _description\
 SQLAlchemy models for datanommer.
 
+%description %_description
+
+%package -n python2-datanommer-models
+Summary: %summary
+Requires:       fedmsg
+Requires:       python-alembic
+%if 0%{?rhel} && 0%{?rhel} <= 6
+Requires:         python-sqlalchemy0.7
+%else
+Requires:         python-sqlalchemy >= 0.7
+%endif
+%{?python_provide:%python_provide python2-datanommer-models}
+
+%description -n python2-datanommer-models %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -72,7 +83,7 @@ rm -rf *.egg-info
 %check
 %{__python} setup.py test
 
-%files
+%files -n python2-datanommer-models
 %doc README.rst LICENSE
 %{python_sitelib}/datanommer/
 %{python_sitelib}/%{modname}-%{version}*
@@ -81,6 +92,10 @@ rm -rf *.egg-info
 %config(noreplace) %{_sysconfdir}/fedmsg.d/datanommer.py*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0-2
+- Python 2 binary package renamed to python2-datanommer-models
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Tue Dec 12 2017 Ralph Bean <rbean@redhat.com> - 0.9.0-1
 - new version
 
diff --git python-dirq.spec python-dirq.spec
index 8972723381..4f55e389ea 100644
--- python-dirq.spec
+++ python-dirq.spec
@@ -24,7 +24,7 @@
 
 Name:           python-dirq
 Version:        1.7.1
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Directory based queue
 
 Group:          Development/Languages
@@ -40,15 +40,23 @@ BuildRequires:  python2-devel
 BuildRequires:  %{altpython}-devel
 %endif #end of altpython.
 
-%description
-The goal of this module is to offer a simple queue system using the 
-underlying file system for storage, security and to prevent race 
-conditions via atomic operations.  It focuses on simplicity, 
-robustness and the ability to scale.
-
-The python module dirq is compatible with the Perl 
+%global _description\
+The goal of this module is to offer a simple queue system using the\
+underlying file system for storage, security and to prevent race\
+conditions via atomic operations.  It focuses on simplicity,\
+robustness and the ability to scale.\
+\
+The python module dirq is compatible with the Perl\
 module Directory::Queue.
 
+%description %_description
+
+%package -n python2-dirq
+Summary: %summary
+%{?python_provide:%python_provide python2-dirq}
+
+%description -n python2-dirq %_description
+
 %if %{?altpython:1}%{!?altpython:0}
 %package -n %{altpython}-dirq
 Summary:        Directory based queue for %{altpython}
@@ -116,7 +124,7 @@ popd
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-dirq
 %defattr(-,root,root,-)
 %doc README.rst CHANGES examples test
 %{python_sitelib}/%{srcname}/
@@ -133,6 +141,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif #end of altpython.
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.1-5
+- Python 2 binary package renamed to python2-dirq
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-dynamite.spec python-django-dynamite.spec
index 36fd7a6973..7773620b72 100644
--- python-django-dynamite.spec
+++ python-django-dynamite.spec
@@ -2,7 +2,7 @@
 
 Name:           python-django-dynamite
 Version:        0.4.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Dynamic models framework
 
 Group:          Development/Languages
@@ -15,28 +15,42 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
 %if 0%{?fedora} >= 18
-Requires:       python-django-south
 BuildRequires:  python-django-south
 %else
-Requires:       Django-south
 BuildRequires:  Django-south
 %endif
 
 %if 0%{?fedora} >= 18
-Requires:       python-django
 BuildRequires:  python-django
 %else
-Requires:       Django
 BuildRequires:  Django
 %endif
 
 
-%description
-This package provides a module to create dynamic models 
-in django and use it in view and admin interface. Thx to 
-`Will Hardy`_ for this fantastic paper `Runtime Dynamic 
+%global _description\
+This package provides a module to create dynamic models\
+in django and use it in view and admin interface. Thx to\
+`Will Hardy`_ for this fantastic paper `Runtime Dynamic\
 Models Documentation`
 
+%description %_description
+
+%package -n python2-django-dynamite
+Summary: %summary
+%if 0%{?fedora} >= 18
+Requires:       python-django-south
+%else
+Requires:       Django-south
+%endif
+%if 0%{?fedora} >= 18
+Requires:       python-django
+%else
+Requires:       Django
+%endif
+%{?python_provide:%python_provide python2-django-dynamite}
+
+%description -n python2-django-dynamite %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 rm -rf %{pkgname}.egg-info
@@ -50,12 +64,16 @@ python setup.py install --skip-build --root %{buildroot}
 %check
 python setup.py test
  
-%files
+%files -n python2-django-dynamite
 %doc
 %{python_sitelib}/dynamite
 %{python_sitelib}/django_dynamite-%{version}-py?.?.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-14
+- Python 2 binary package renamed to python2-django-dynamite
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-filter.spec python-django-filter.spec
index 53740e2e63..c4c09d39f7 100644
--- python-django-filter.spec
+++ python-django-filter.spec
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.0.2
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A Django application for allowing users to filter queryset dynamically
 
 Group:          Development/Languages
@@ -18,8 +18,6 @@ BuildRequires:  python-django
 BuildRequires:  python-mock
 BuildRequires:  python-setuptools
 BuildRequires:  python-django-rest-framework
-Requires:       python-django
-Requires:       python-django-rest-framework
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
@@ -29,24 +27,35 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-django-rest-framework
 %endif
 
-Provides:       django-filter = %{version}-%{release}
-Obsoletes:      django-filter < %{obs_ver}
-
 %if 0%{?with_python3}
 %package -n python3-django-filter
 Summary:        A Django application for allowing users to filter queryset dynamically
-Requires:       python3-django
-Requires:       python3-django-rest-framework
 
 %description -n python3-django-filter
 Django-filter is a reusable Django application for allowing users to filter
 querysets dynamically. This is a Python 3 build of django-filter.
 %endif
 
-%description
-Django-filter is a reusable Django application for allowing users to filter
+%global _description\
+Django-filter is a reusable Django application for allowing users to filter\
 querysets dynamically.
 
+%description %_description
+
+%package -n python2-django-filter
+Summary: %summary
+Requires:       python-django
+Requires:       python-django-rest-framework
+Provides:       django-filter = %{version}-%{release}
+Obsoletes:      django-filter < %{obs_ver}
+%if 0%{?with_python3}
+Requires:       python3-django
+Requires:       python3-django-rest-framework
+%endif
+%{?python_provide:%python_provide python2-django-filter}
+
+%description -n python2-django-filter %_description
+
 %prep
 %autosetup -n %{pypi_name}-%{version} -p1
 
@@ -82,7 +91,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-django-filter
 %doc CHANGES.rst README.rst LICENSE docs/
 %{python_sitelib}/django_filters
 %{python_sitelib}/django_filter-%{version}-py?.?.egg-info
@@ -95,6 +104,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.2-2
+- Python 2 binary package renamed to python2-django-filter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Dec 08 2017 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-1
 - Update to 1.0.2 (#1523407)
 
diff --git python-django-socialregistration.spec python-django-socialregistration.spec
index e148c531de..7ffeec2eb7 100644
--- python-django-socialregistration.spec
+++ python-django-socialregistration.spec
@@ -1,6 +1,6 @@
 Name: python-django-socialregistration
 Version: 0.5.10
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: Django application enabling registration through a variety of APIs
 
 Group: Development/Languages
@@ -16,6 +16,22 @@ BuildRequires: python-oauth2
 BuildRequires: python-openid
 BuildRequires: python-setuptools
 
+
+%global _description\
+Django Social Registration enables developers to add alternative registration\
+methods based on third party sites.\
+\
+Supported methods currently are:\
+\
+    OpenID\
+    OAuth\
+    Instagram\
+
+
+%description %_description
+
+%package -n python2-django-socialregistration
+Summary: %summary
 %if 0%{?fedora} > 17
 Requires: python-django
 %else
@@ -23,17 +39,9 @@ Requires: Django
 %endif
 Requires: python-oauth2
 Requires: python-openid
+%{?python_provide:%python_provide python2-django-socialregistration}
 
-%description
-Django Social Registration enables developers to add alternative registration
-methods based on third party sites.
-
-Supported methods currently are:
-
-    OpenID
-    OAuth
-    Instagram
-
+%description -n python2-django-socialregistration %_description
 
 %prep
 %setup -q -n django-socialregistration-%{version}
@@ -47,12 +55,16 @@ rm -rf django_socialregistration-%{version}*.egg-info
 rm -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-django-socialregistration
 %doc AUTHORS LICENSE README.rst
 %{python_sitelib}/socialregistration/
 %{python_sitelib}/django_socialregistration-%{version}*.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.10-9
+- Python 2 binary package renamed to python2-django-socialregistration
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-docker-py.spec python-docker-py.spec
index 43bf1e30e2..4ff16e38cf 100644
--- python-docker-py.spec
+++ python-docker-py.spec
@@ -19,7 +19,7 @@
 
 Name:           python-docker-py
 Version:        1.10.6
-Release:        5%{?dist}
+Release:        6%{?dist}
 Epoch:          1
 Summary:        An API client for docker written in Python
 License:        ASL 2.0
@@ -46,23 +46,31 @@ BuildRequires:  python2-docker-pycreds
 %endif  # tests
 
 %if 0%{?fedora} >= 22
-Requires:       python-requests >= 2.5.2
 BuildRequires:  python-requests >= 2.5.2
 %else
-Requires:       python-requests
 BuildRequires:  python-requests
 %endif
 
+%global _description\
+%{summary}
+
+%description %_description
+
+%package -n python2-docker-py
+Summary: %summary
+%if 0%{?fedora} >= 22
+Requires:       python-requests >= 2.5.2
+%else
+Requires:       python-requests
+%endif
 Requires:       python-websocket-client >= 0.32.0
 Requires:       python-six >= 1.4.0
 Requires:       python-ipaddress
 Requires:       python-backports-ssl_match_hostname
 Requires:       python2-docker-pycreds
+%{?python_provide:%python_provide python2-docker-py}
 
-Provides: python2-docker-py = %{version}-%{release}
-
-%description
-%{summary}
+%description -n python2-docker-py %_description
 
 %if %{with python3}
 %package -n python3-docker-py
@@ -118,7 +126,7 @@ PYTHONPATH="${PWD}" py.test-%{python3_version} tests/unit/ || :
 %endif # with_python3
 
 
-%files
+%files -n python2-docker-py
 %license LICENSE
 %doc README.md
 %dir %{python_sitelib}/docker
@@ -137,6 +145,10 @@ PYTHONPATH="${PWD}" py.test-%{python3_version} tests/unit/ || :
 %endif # with_python3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:1.10.6-6
+- Python 2 binary package renamed to python2-docker-py
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.6-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-editor.spec python-editor.spec
index 761857cc6e..dfc5a85ae3 100644
--- python-editor.spec
+++ python-editor.spec
@@ -8,8 +8,8 @@
 
 Name:           python-editor
 Version:        1.0.3
-Release:        3%{?dist}
-Summary:        Programmatically open an editor, capture the result.
+Release:        4%{?dist}
+Summary:        Programmatically open an editor, capture the result
 
 License:        ASL 2.0
 URL:            https://github.com/fmoo/python-editor
@@ -62,7 +62,7 @@ chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/editor.py
 chmod a+x $RPM_BUILD_ROOT%{python3_sitelib}/editor.py
 %endif
 
-%files
+%files -n python2-editor
 %doc README.md
 %license LICENSE
 %{python2_sitelib}/editor.py*
@@ -79,6 +79,9 @@ chmod a+x $RPM_BUILD_ROOT%{python3_sitelib}/editor.py
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.3-4
+- Fix creation of python2- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-eyed3.spec python-eyed3.spec
index 9cee9eabff..11f1ad9bab 100644
--- python-eyed3.spec
+++ python-eyed3.spec
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        0.7.10
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python audio data toolkit (ID3 and MP3)
 License:        GPLv2+
 URL:            http://eyed3.nicfit.net/
@@ -11,13 +11,20 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-nose
 BuildRequires:  python-setuptools
-%{?python_provide:%python_provide python2-%{srcname}}
 
-%description
-A Python module and program for processing ID3 tags. Information about
-mp3 files(i.e bit rate, sample frequency, play time, etc.) is also
+%global _description\
+A Python module and program for processing ID3 tags. Information about\
+mp3 files(i.e bit rate, sample frequency, play time, etc.) is also\
 provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %prep
 %setup -qn eyeD3-%{version}
 
@@ -30,7 +37,7 @@ provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.
 %check
 %{__python2} setup.py test
 
-%files
+%files -n python2-%{srcname}
 %doc AUTHORS ChangeLog README.rst examples/
 %license COPYING
 %{_bindir}/eyeD3
@@ -38,6 +45,10 @@ provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.
 %{python2_sitelib}/eyeD3-%{version}-py%{python2_version}.egg-info/
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.10-4
+- Python 2 binary package renamed to python2-eyed3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
